# Uses of Interface
com.sun.source.doctree.SerialFieldTree

Packages that use SerialFieldTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of SerialFieldTree in com.sun.source.doctree

  Methods in com.sun.source.doctree with parameters of type SerialFieldTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitSerialField(SerialFieldTree node, P p)`
  Visits a `SerialFieldTree` node.

- ## Uses of SerialFieldTree in com.sun.source.util

  Methods in com.sun.source.util that return SerialFieldTree
  Modifier and Type
  Method
  Description
  `SerialFieldTree`
  DocTreeFactory.`newSerialFieldTree(IdentifierTree name, ReferenceTree type, List<? extends DocTree> description)`
  Creates a new `SerialFieldTree` object, to represent a `@serialField` tag.
  Methods in com.sun.source.util with parameters of type SerialFieldTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeScanner.`visitSerialField(SerialFieldTree node, P p)`
  Visits a `SerialFieldTree` node.
  `R`
  SimpleDocTreeVisitor.`visitSerialField(SerialFieldTree node, P p)`
  Visits a `SerialFieldTree` node.